commit:     69ba78f250365425de39008e24b4dbe2b13416ee
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  7 08:01:50 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Oct  7 08:01:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69ba78f2

dev-python/graph-tool: Version bump to 2.29

* Remove support for Python 2.7

Closes: https://bugs.gentoo.org/695772
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/graph-tool/Manifest               |  1 +
 dev-python/graph-tool/graph-tool-2.29.ebuild | 79 ++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-python/graph-tool/Manifest b/dev-python/graph-tool/Manifest
index 01212e0146c..dc9f1c37ef1 100644
--- a/dev-python/graph-tool/Manifest
+++ b/dev-python/graph-tool/Manifest
@@ -1 +1,2 @@
 DIST graph-tool-2.27.tar.bz2 14989318 BLAKE2B 
1fc307f33fc3e4642e91c20cc4988915cae61306ac445be070f19c263e2d2a74a241d651dd9c4b6b78d5f28fc8cde00789cf90db53cbae6db0583cf216824301
 SHA512 
39ea5e76a91f03bc2475d80df6001c87fc47517d279e27fdab413aec8982146993d3c4a370f85cb28a53e5c974b0e90b0fb22538f3d66ef9cb635abf6188d434
+DIST graph-tool-2.29.tar.bz2 15068583 BLAKE2B 
28eb191d0f9c049eb5e5cd70ff30508bc6347566e757f11dc21cc7775c40ee1a86490516f6616e0dc7086983e510785c695db4ace64aa2c83b67c3ca1f534ad6
 SHA512 
f7a40f0ff5cb5ce3fdf39cf38744a91f7936e8d1dc487f0428c9f29893ad9d5163d5b76d7c07e3651ecb7035bea4166ca8e169934be54247f3285f4e0fe7269a

diff --git a/dev-python/graph-tool/graph-tool-2.29.ebuild 
b/dev-python/graph-tool/graph-tool-2.29.ebuild
new file mode 100644
index 00000000000..e662da499d0
--- /dev/null
+++ b/dev-python/graph-tool/graph-tool-2.29.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit check-reqs python-r1 toolchain-funcs
+
+if [[ ${PV} == *9999 ]]; then
+       EGIT_REPO_URI="https://git.skewed.de/count0/graph-tool.git";
+       inherit autotools git-r3
+else
+       SRC_URI="https://downloads.skewed.de/${PN}/${P}.tar.bz2";
+       KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="An efficient python module for manipulation and statistical 
analysis of graphs"
+HOMEPAGE="https://graph-tool.skewed.de/";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+cairo openmp"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       >=dev-libs/boost-1.70:=[context,python,${PYTHON_USEDEP}]
+       dev-libs/expat:=
+       dev-python/numpy[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]
+       sci-mathematics/cgal:=
+       cairo? (
+               dev-cpp/cairomm
+               dev-python/pycairo[${PYTHON_USEDEP}]
+       )
+       dev-python/matplotlib[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-cpp/sparsehash"
+BDEPEND="virtual/pkgconfig"
+
+# bug 453544
+CHECKREQS_DISK_BUILD="6G"
+
+pkg_pretend() {
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+       check-reqs_pkg_pretend
+}
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+src_prepare() {
+       default
+       [[ ${PV} == *9999 ]] && eautoreconf
+       python_copy_sources
+}
+
+src_configure() {
+       configure() {
+               econf \
+                       --disable-static \
+                       $(use_enable openmp) \
+                       $(use_enable cairo) \
+                       --with-boost-python="boost_${EPYTHON/./}"
+       }
+       python_foreach_impl run_in_build_dir configure
+}
+
+src_compile() {
+       # most machines don't have enough ram for parallel builds
+       python_foreach_impl run_in_build_dir emake -j1
+}
+
+src_install() {
+       python_foreach_impl run_in_build_dir default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to